### Class

# Phosh WWanMM

since: 0.0.1

#### Description [src]

    final class Phosh.WWanMM : Phosh.WWanManager
      implements Phosh.WWan {
      /* No available fields */
    }

Implementation of the `PhoshWWan` interface for ModemManager.

Available since: 0.0.1

#### Ancestors

- PhoshWWanManager
- GObject

#### Implements

- PhoshWWan

#### Constructors

###### phosh_wwan_mm_new

No description available.

#### Instance methods

##### Methods inherited from PhoshWWanManager (4)

###### phosh_wwan_manager_get_data_enabled

Get whether the mobile data connection is enabled.

###### phosh_wwan_manager_has_data

Gets whether there’s a data connection that could possibly be enabled. It doesn’t take into account whether the connection is enabled or not. See `phosh_wwan_manager_get_data_enabled()`.

###### phosh_wwan_manager_set_data_enabled

Connect to or disconnect from mobile data. When `enabled` is `TRUE` connects the last active mobile data connection.

###### phosh_wwan_manager_set_enabled

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from PhoshWWan (10)

###### phosh_wwan_get_access_tec

No description available.

###### phosh_wwan_get_operator

No description available.

###### phosh_wwan_get_signal_quality

No description available.

###### phosh_wwan_has_data

Gets whether there’s a data connection that could possibly be enabled. It doesn’t take into account whether the connection is enabled or not.

###### phosh_wwan_has_sim

No description available.

###### phosh_wwan_is_enabled

No description available.

###### phosh_wwan_is_present

No description available.

###### phosh_wwan_is_unlocked

No description available.

###### phosh_wwan_set_data_enabled

Connect to or disconnect from mobile data.

###### phosh_wwan_set_enabled

No description available.

#### Properties

##### Properties inherited from PhoshWWanManager (3)

###### Phosh.WWanManager:data-enabled

No description available.

###### Phosh.WWanManager:has-data

No description available.

###### Phosh.WWanManager:last-connection

The last activated connection.

##### Properties inherited from PhoshWWan (7)

###### PhoshWWan:access-tec

The access-tec of the current modem.

###### PhoshWWan:enabled

Whether a modem is enabled.

###### PhoshWWan:operator

The name of the operator of the current modem.

###### PhoshWWan:present

Whether a modem is prsent.

###### PhoshWWan:signal-quality

The signal quality of the current modem.

###### PhoshWWan:sim

Whether the current modem has a sim card inserted.

###### PhoshWWan:unlocked

Whether the current modem is unlocked.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshWWanMMClass {
      PhoshWWanManagerClass parent_class;

    }

No description available.

###### Class members

`parent_class: PhoshWWanManagerClass`

  No description available.